ru.bitel.bgbilling.modules.mobile.server.bean

## Class ActionContext

- java.lang.Object
- - ru.bitel.common.worker.ThreadContext
  - - ru.bitel.bgbilling.kernel.base.server.DefaultContext
    - - ru.bitel.bgbilling.kernel.container.managed.ContainerContext
      - - ru.bitel.bgbilling.kernel.container.managed.ServerContext
        - - ru.bitel.bgbilling.modules.mobile.server.bean.ActionContext

- All Implemented Interfaces:
    java.lang.AutoCloseable, ru.bitel.common.util.ConnectionHolder, ru.bitel.common.worker.Commitable, ru.bitel.common.worker.CommitableHandler, ru.bitel.common.worker.Recyclable

      public class ActionContext
      extends ru.bitel.bgbilling.kernel.container.managed.ServerContext

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.servlet.http.HttpServletRequest` | `request`
    `protected javax.servlet.http.HttpServletResponse` | `response`
    `protected javax.servlet.ServletContext` | `servletContext`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.container.managed.ContainerContext

      `setup`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.base.server.DefaultContext

      `connectionSet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionContext(Setup setup, int moduleId, int userId, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.servlet.http.HttpServletRequest` | `getRequest()`
    `javax.servlet.http.HttpServletResponse` | `getResponse()`
    `javax.servlet.ServletContext` | `getServletContext()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.container.managed.ServerContext

      `addCommitable, commit, destroy, getDirectory, getResourceManager, getService, init, newDirectory, newService, publishAfterCommit, recycle`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.container.managed.ContainerContext

      `getEnvironment, getModuleId, getModuleSetup, getNamingContext, getSetup, getUserId`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.DefaultContext

      `getConnection, getConnectionSet`

    - ### Methods inherited from class ru.bitel.common.worker.ThreadContext

      `close, get, get, pop, push, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### request

          protected final javax.servlet.http.HttpServletRequest request

    - #### response

          protected final javax.servlet.http.HttpServletResponse response

    - #### servletContext

          protected final javax.servlet.ServletContext servletContext

  - ### Constructor Detail

    - #### ActionContext

          public ActionContext(Setup setup,
                               int moduleId,
                               int userId,
                               javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response,
                               javax.servlet.ServletContext servletContext)

  - ### Method Detail

    - #### getServletContext

          public javax.servlet.ServletContext getServletContext()

    - #### getRequest

          public javax.servlet.http.HttpServletRequest getRequest()

    - #### getResponse

          public javax.servlet.http.HttpServletResponse getResponse()